Summary: A Router Advertisement daemon
Name: radvd
Version: 2.19
Release: 4%{?dist}
License: BSD with advertising
URL: http://www.litech.org/radvd/
Source0: %{url}dist/%{name}-%{version}.tar.xz

BuildRequires: make gcc bison pkgconfig
BuildRequires: flex flex-static check-devel systemd
%{?systemd_requires}
Requires(pre): shadow-utils

%description
The router advertisement daemon (radvd) is run by Linux or
BSD systems acting as IPv6 routers. It sends Router Advertisement
messages, specified by RFC 2461, to a local Ethernet LAN periodically
and when requested by a node sending a Router Solicitation message.
These messages are required for IPv6 stateless autoconfiguration.



%prep
%autosetup



%build
export CFLAGS="$RPM_OPT_FLAGS -fPIE " 
export LDFLAGS='-pie -Wl,-z,relro,-z,now,-z,noexecstack,-z,nodlopen'
%configure \
    --with-check \
    --disable-silent-rules \
    --with-pidfile=/run/radvd/radvd.pid
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}/run/radvd
mkdir -p %{buildroot}%{_unitdir}

install -m644 redhat/SysV/radvd.conf.empty %{buildroot}%{_sysconfdir}/radvd.conf
install -m644 redhat/SysV/radvd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/radvd

install -d -m755 %{buildroot}%{_tmpfilesdir}
install -p -m644 redhat/systemd/radvd-tmpfs.conf %{buildroot}%{_tmpfilesdir}/radvd.conf
install -m644 redhat/systemd/radvd.service %{buildroot}%{_unitdir}

%check
make check

%postun
%systemd_postun_with_restart radvd.service

%post
%systemd_post radvd.service

%preun
%systemd_preun radvd.service

%pre
getent group radvd >/dev/null || groupadd -r -g 75 radvd
getent passwd radvd >/dev/null || \
  useradd -r -u 75 -g radvd -d / -s /sbin/nologin -c "radvd user" radvd
exit 0

%files
%license COPYRIGHT
%doc CHANGES INTRO.html README TODO
%doc radvd.conf.example
%{_sbindir}/radvd
%{_sbindir}/radvdump
%{_unitdir}/radvd.service
%config(noreplace) %{_sysconfdir}/radvd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/radvd
%{_tmpfilesdir}/radvd.conf
%dir %attr(755,radvd,radvd) /run/radvd/
%{_mandir}/*/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.19-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.19-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.19-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 22 2022 cunshunxia <cunshunxia@tencent.com> - 2.19-1
- initial build
